# `OpenSpiel_jll.jl` (v1.2.0+1)

[![deps](https://juliahub.com/docs/OpenSpiel_jll/deps.svg)](https://juliahub.com/ui/Packages/OpenSpiel_jll/I4H7G?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/d3df24c7465f76c7df5014a26b77e53ec54d7cf0/O/OpenSpiel/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `OpenSpiel_jll.jl` have been built from these sources:

* git repository: https://github.com/deepmind/open_spiel.git (revision: `9e4559bd1d794aa0b6476013464b58329d8f2b51`)
* git repository: https://github.com/findmyway/dds.git (revision: `091ea94358a4016d4fb6069dea5c452cdc98d0bd`)
* git repository: https://github.com/abseil/abseil-cpp.git (revision: `b971ac5250ea8de900eae9f95e06548d14cd95fe`)
* git repository: https://github.com/findmyway/hanabi-learning-environment.git (revision: `b31c973e3930804b9e27d1a20874e08d8643e533`)
* git repository: https://github.com/findmyway/project_acpc_server.git (revision: `de5fb88ac597278c96875d3c163ce71cdfe7ea79`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/d3df24c7465f76c7df5014a26b77e53ec54d7cf0/O/OpenSpiel/bundled)
* compressed archive: https://github.com/phracker/MacOSX-SDKs/releases/download/10.15/MacOSX10.14.sdk.tar.xz (SHA256 checksum: `0f03869f72df8705b832910517b47dd5b79eb4e160512602f593ed243b28715f`)

## Platforms

`OpenSpiel_jll.jl` is available for the following platforms:

* `macOS aarch64 {julia_version=1.10.0}` (`aarch64-apple-darwin-julia_version+1.10.0`)
* `macOS aarch64 {julia_version=1.7.0}` (`aarch64-apple-darwin-julia_version+1.7.0`)
* `macOS aarch64 {julia_version=1.8.0}` (`aarch64-apple-darwin-julia_version+1.8.0`)
* `macOS aarch64 {julia_version=1.9.0}` (`aarch64-apple-darwin-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.9.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03-julia_version+1.8.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11-julia_version+1.8.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.8.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.8.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.9.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.9.0`)
* `macOS x86_64 {julia_version=1.10.0}` (`x86_64-apple-darwin-julia_version+1.10.0`)
* `macOS x86_64 {julia_version=1.6.3}` (`x86_64-apple-darwin-julia_version+1.6.3`)
* `macOS x86_64 {julia_version=1.7.0}` (`x86_64-apple-darwin-julia_version+1.7.0`)
* `macOS x86_64 {julia_version=1.8.0}` (`x86_64-apple-darwin-julia_version+1.8.0`)
* `macOS x86_64 {julia_version=1.9.0}` (`x86_64-apple-darwin-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.8.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.8.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.8.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.8.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.9.0`)
* `FreeBSD x86_64 {julia_version=1.10.0}` (`x86_64-unknown-freebsd-julia_version+1.10.0`)
* `FreeBSD x86_64 {julia_version=1.6.3}` (`x86_64-unknown-freebsd-julia_version+1.6.3`)
* `FreeBSD x86_64 {julia_version=1.7.0}` (`x86_64-unknown-freebsd-julia_version+1.7.0`)
* `FreeBSD x86_64 {julia_version=1.8.0}` (`x86_64-unknown-freebsd-julia_version+1.8.0`)
* `FreeBSD x86_64 {julia_version=1.9.0}` (`x86_64-unknown-freebsd-julia_version+1.9.0`)

## Dependencies

The following JLL packages are required by `OpenSpiel_jll.jl`:

* [`libcxxwrap_julia_jll`](https://github.com/JuliaBinaryWrappers/libcxxwrap_julia_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libspieljl`
